<template>
  <div class="hijo">
    <h5>Componente Hijo</h5>
    <input
      class="input"
      type="number"
      placeholder="+"
      v-model.number="razonSuma"
    />
    <button class="button" id="razonSuma" @click="aumentar(razonSuma)">
      +
    </button>
    <button class="button" @click="disminuir(razonResta)">-</button>
    <input
      class="input"
      type="number"
      placeholder="-"
      v-model.number="razonResta"
    />
    <p>{{ razonResta }}</p>
  </div>
</template>

<script>
import { mapState, mapMutations } from "vuex";

export default {
  computed: {
    ...mapState(["razonSuma", "razonResta"]),
  },
  methods: {
    ...mapMutations(["aumentar", "disminuir"]),
  },
};
</script>

<style scoped>
.hijo {
  border: 1px solid;
  padding: 15px;
}
.button {
  margin: 0 3px;
}
.input {
  width: 50px;
}
</style>
